WordPress.org

Support

Support » Plugins and Hacks » [Plugin: Yet Another Related Posts Plugin] Broken includes

[Plugin: Yet Another Related Posts Plugin] Broken includes

  • The latest version is giving me the following errors:

    Warning: include(/home/hm2k/public_html/wp-content/themes/hm2k/) [function.include]: failed to open stream: No such device in /home/hm2k/public_html/wp-content/plugins/yet-another-related-posts-plugin/magic.php on line 300
    
    Warning: include() [function.include]: Failed opening '/home/hm2k/public_html/wp-content/themes/hm2k/' for inclusion (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/hm2k/public_html/wp-content/plugins/yet-another-related-posts-plugin/magic.php on line 300
    
    Related posts brought to you by Yet Another Related Posts Plugin.

    It was fine until I upgraded it.

    I uninstalled, and reinstalled using the “Add new” plugin page, and it still doesn’t work…

Viewing 3 replies - 1 through 3 (of 3 total)
  • Try saving the options in the YARPP options page (even without changing anything). That should do the trick as well.

    It says:

    Your related posts cache is incomplete. Please build your cache from the related posts status pane.
    Please move the YARPP template files into your theme to complete installation. Simply move the sample template files (currently in wp-content/plugins/yet-another-related-posts-plugin/yarpp-templates/) to the /home/hm2k/public_html/wp-content/themes/hm2k directory.

    I guess I need to do that. It’s a bit annoying though!

    That step is optional… you only need to do that if you’d like to use or try out the new templating feature. In a future revision I’ll probably reword that so it’s more of a suggestion and less of a warning. :/

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Plugin: Yet Another Related Posts Plugin] Broken includes’ is closed to new replies.
Skip to toolbar